package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.EnergyMeter;
import com.ruoyi.ems.domain.WaterMeterH;
import com.ruoyi.ems.model.QueryMeter;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用水计量-小时Mapper接口
 *
 * @author ruoyi
 * @date 2024-12-03
 */
public interface WaterMeterHMapper {
    /**
     * 批量插入用水计量-小时数据
     * @param list 待插入的用水计量-小时数据列表
     * @return 插入的记录数
     */
    int insertBatch(List<WaterMeterH> list);

    /**
     * 查询用电计量-小时列表
     *
     * @param queryMeter 查询计量条件
     * @return 用电计量-小时集合
     */
    List<WaterMeterH> getElecMeterHByObj(QueryMeter queryMeter);

    /**
     * 新增用水计量-小时
     *
     * @param waterMeterH 用水计量-小时
     * @return 结果
     */
    int insertWaterMeterH(WaterMeterH waterMeterH);

    /**
     * 修改用水计量-小时
     *
     * @param waterMeterH 用水计量-小时
     * @return 结果
     */
    int updateWaterMeterH(WaterMeterH waterMeterH);

    /**
     * 删除用水计量（根据日期）
     *
     * @param date 日期
     * @return 结果
     */
    int deleteWaterMeterHByDate(@Param("date") String date);

    WaterMeterH selectLatelyItem(@Param("deviceCode") String deviceCode);

    EnergyMeter qryWaterMeterByDate(WaterMeterH waterMeterH);

    List<WaterMeterH> qryTimeIndexWaterMeterByDay(@Param("dataRange") String dataRange);

    List<WaterMeterH> qryDateWaterMeterByDay(String dataRange);

    List<WaterMeterH> qryDateWaterMeterByYear(String dataRange);

    EnergyMeter selectWaterDayAvg(QueryMeter queryMeter);
}
